Bug 220814 - kernel-2.6.18-1.2868.fc6 causing a kernel panic at boot
kernel-2.6.18-1.2868.fc6 causing a kernel panic at boot
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-12-27 08:31 EST by Jongi
Modified: 2008-01-08 03:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 03:10:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jongi 2006-12-27 08:31:21 EST
Description of problem:

Here is what happens when I try to run kernel-2.6.18-1.2868.fc6 which I updated
using SMART. This is a desktop PC.

ACPI: Getting cpuindex for acpiid 0x1 
ACPI: Getting cpuindex for acpiid 0x2 
ACPI: Getting cpuindex for acpiid 0x3 
Red Hat Nash version 5.1.19.0.2 starting 
setuproot: moving /dev failed: No such file or directory 
setuproot: error mounting /proc: No such file or directory 
setuproot: error mounting /sys: No such file or directory 
ERROR opening /dev/console Trying to use fd 0 instead 
WARNING: can't access (null) 
exec of init ((null)) failed!!! Bad Address 
Kernel panic - not syncing: Attempted to kill init

The 2849 kernel works.

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2868.fc6

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jongi 2006-12-27 14:12:00 EST
The solution to the problem was a simple one. There was one difference between
the 2849 and 2868 grub kernel lines. The 2849 had [b]root=LABEL=/[/b] whereas
2868 had [b]root=/dev/hdd6[/b]. Once I changed the 2868 line to reflect what the
2849 line was showing it booted without issues. 

I had previously seen the difference however I didn't think it would matter as
/dev/hdd6 is mounted as /. And it isn't part of a LVM physical volume, just a
reiserfs partition.
Comment 2 Jon Stanley 2008-01-07 20:50:08 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Note You need to log in before you can comment on or make changes to this bug.